## transset-df 6

=== Makefile ===
PACKAGES=xcomposite xfixes xdamage xrender
LIBS=`pkg-config --libs ${PACKAGES}` -lm
INCS=`pkg-config --cflags ${PACKAGES}`
CFLAGS = -Wall

.c.o:
	$(CC) $(CFLAGS) $(INCS) -c $*.c

OBJS=transSet.o dsimple.o

transset-df: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

$(OBJS): dsimple.h

install:
	cp transset-df /usr/bin

clean:
	rm -f $(OBJS) transset-df

## transset-df 6maemo1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PACKAGES=xcomposite xfixes xdamage xrender
-LIBS=`pkg-config --libs ${PACKAGES}` -lm
+LIBS=-lXcomposite -lXdamage -lXfixes -lXrender -lX11 -lm
 INCS=`pkg-config --cflags ${PACKAGES}`
-CFLAGS = -Wall
+CFLAGS=" -O3 -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -Wall "
 
 .c.o:
 	$(CC) $(CFLAGS) $(INCS) -c $*.c

=== debian/changelog ===
transset-df (6maemo1) experimental; urgency=low

  * First release baseed on transset packaging.

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 18 Dec 2005 23:05:47 -0200

=== debian/control ===
Source: transset-df
Section: x11
Priority: optional
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 4.0.0), automake1.7(>= 1.7.9-7), cdbs(>= 0.4.32), libx11-dev(>= 6.8.2.dfsg.1-11), libxcomposite-dev(>= 6.8.2.dfsg.1-11), libxfixes-dev(>= 6.8.2.dfsg.1-11), libxdamage-dev(>= 6.8.2.dfsg.1-11), libxrender-dev(>= 1:0.9.0-2), pkg-config(>= 0.20-1)
Standards-Version: 3.6.2.1

Package: transset-df
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X transparency manager 
 transset-df is a very small application to set the opacity property on windows,
 which will provide translucency when used in combination with an X compositing
 manager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s 
endif

# composite, fixes and damage pc files aren't in /usr/lib/pkgconfig/
export PKG_CONFIG_PATH=/usr/lib/pkgconfig/:/usr/X11R6/lib/pkgconfig/

binary-post-install/transset-df::
	install -m755 transset-df $(DEB_DESTDIR)/usr/bin/
